Merging upstream version 0.1.3.
[debian/lxmenu-data.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 subdir = .
79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) AUTHORS COPYING \
81 ChangeLog INSTALL NEWS README TODO compile install-sh missing
82 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
83 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
84 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
85 $(ACLOCAL_M4)
86 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
87 configure.lineno config.status.lineno
88 mkinstalldirs = $(install_sh) -d
89 CONFIG_CLEAN_FILES =
90 CONFIG_CLEAN_VPATH_FILES =
91 AM_V_P = $(am__v_P_@AM_V@)
92 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
93 am__v_P_0 = false
94 am__v_P_1 = :
95 AM_V_GEN = $(am__v_GEN_@AM_V@)
96 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
97 am__v_GEN_0 = @echo " GEN " $@;
98 am__v_GEN_1 =
99 AM_V_at = $(am__v_at_@AM_V@)
100 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
101 am__v_at_0 = @
102 am__v_at_1 =
103 SOURCES =
104 DIST_SOURCES =
105 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
106 ctags-recursive dvi-recursive html-recursive info-recursive \
107 install-data-recursive install-dvi-recursive \
108 install-exec-recursive install-html-recursive \
109 install-info-recursive install-pdf-recursive \
110 install-ps-recursive install-recursive installcheck-recursive \
111 installdirs-recursive pdf-recursive ps-recursive \
112 tags-recursive uninstall-recursive
113 am__can_run_installinfo = \
114 case $$AM_UPDATE_INFO_DIR in \
115 n|no|NO) false;; \
116 *) (install-info --version) >/dev/null 2>&1;; \
117 esac
118 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
119 distclean-recursive maintainer-clean-recursive
120 am__recursive_targets = \
121 $(RECURSIVE_TARGETS) \
122 $(RECURSIVE_CLEAN_TARGETS) \
123 $(am__extra_recursive_targets)
124 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
125 cscope distdir dist dist-all distcheck
126 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
127 # Read a list of newline-separated strings from the standard input,
128 # and print each of them once, without duplicates. Input order is
129 # *not* preserved.
130 am__uniquify_input = $(AWK) '\
131 BEGIN { nonempty = 0; } \
132 { items[$$0] = 1; nonempty = 1; } \
133 END { if (nonempty) { for (i in items) print i; }; } \
134 '
135 # Make sure the list of sources is unique. This is necessary because,
136 # e.g., the same source file might be shared among _SOURCES variables
137 # for different programs/libraries.
138 am__define_uniq_tagged_files = \
139 list='$(am__tagged_files)'; \
140 unique=`for i in $$list; do \
141 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
142 done | $(am__uniquify_input)`
143 ETAGS = etags
144 CTAGS = ctags
145 CSCOPE = cscope
146 DIST_SUBDIRS = $(SUBDIRS)
147 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
148 distdir = $(PACKAGE)-$(VERSION)
149 top_distdir = $(distdir)
150 am__remove_distdir = \
151 if test -d "$(distdir)"; then \
152 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
153 && rm -rf "$(distdir)" \
154 || { sleep 5 && rm -rf "$(distdir)"; }; \
155 else :; fi
156 am__post_remove_distdir = $(am__remove_distdir)
157 am__relativize = \
158 dir0=`pwd`; \
159 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
160 sed_rest='s,^[^/]*/*,,'; \
161 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
162 sed_butlast='s,/*[^/]*$$,,'; \
163 while test -n "$$dir1"; do \
164 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
165 if test "$$first" != "."; then \
166 if test "$$first" = ".."; then \
167 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
168 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
169 else \
170 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
171 if test "$$first2" = "$$first"; then \
172 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
173 else \
174 dir2="../$$dir2"; \
175 fi; \
176 dir0="$$dir0"/"$$first"; \
177 fi; \
178 fi; \
179 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
180 done; \
181 reldir="$$dir2"
182 GZIP_ENV = --best
183 DIST_ARCHIVES = $(distdir).tar.xz
184 DIST_TARGETS = dist-xz
185 distuninstallcheck_listfiles = find . -type f -print
186 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
187 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
188 distcleancheck_listfiles = find . -type f -print
189 ACLOCAL = @ACLOCAL@
190 ALL_LINGUAS = @ALL_LINGUAS@
191 AMTAR = @AMTAR@
192 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
193 AUTOCONF = @AUTOCONF@
194 AUTOHEADER = @AUTOHEADER@
195 AUTOMAKE = @AUTOMAKE@
196 AWK = @AWK@
197 CATALOGS = @CATALOGS@
198 CATOBJEXT = @CATOBJEXT@
199 CC = @CC@
200 CCDEPMODE = @CCDEPMODE@
201 CFLAGS = @CFLAGS@
202 CPP = @CPP@
203 CPPFLAGS = @CPPFLAGS@
204 CYGPATH_W = @CYGPATH_W@
205 DATADIRNAME = @DATADIRNAME@
206 DEFS = @DEFS@
207 DEPDIR = @DEPDIR@
208 ECHO_C = @ECHO_C@
209 ECHO_N = @ECHO_N@
210 ECHO_T = @ECHO_T@
211 EGREP = @EGREP@
212 EXEEXT = @EXEEXT@
213 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
214 GMOFILES = @GMOFILES@
215 GMSGFMT = @GMSGFMT@
216 GREP = @GREP@
217 INSTALL = @INSTALL@
218 INSTALL_DATA = @INSTALL_DATA@
219 INSTALL_PROGRAM = @INSTALL_PROGRAM@
220 INSTALL_SCRIPT = @INSTALL_SCRIPT@
221 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
222 INSTOBJEXT = @INSTOBJEXT@
223 INTLLIBS = @INTLLIBS@
224 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
225 INTLTOOL_MERGE = @INTLTOOL_MERGE@
226 INTLTOOL_PERL = @INTLTOOL_PERL@
227 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
228 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
229 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
230 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
231 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
232 LDFLAGS = @LDFLAGS@
233 LIBOBJS = @LIBOBJS@
234 LIBS = @LIBS@
235 LTLIBOBJS = @LTLIBOBJS@
236 MAKEINFO = @MAKEINFO@
237 MKDIR_P = @MKDIR_P@
238 MKINSTALLDIRS = @MKINSTALLDIRS@
239 MSGFMT = @MSGFMT@
240 MSGFMT_OPTS = @MSGFMT_OPTS@
241 MSGMERGE = @MSGMERGE@
242 OBJEXT = @OBJEXT@
243 PACKAGE = @PACKAGE@
244 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
245 PACKAGE_NAME = @PACKAGE_NAME@
246 PACKAGE_STRING = @PACKAGE_STRING@
247 PACKAGE_TARNAME = @PACKAGE_TARNAME@
248 PACKAGE_URL = @PACKAGE_URL@
249 PACKAGE_VERSION = @PACKAGE_VERSION@
250 PATH_SEPARATOR = @PATH_SEPARATOR@
251 POFILES = @POFILES@
252 POSUB = @POSUB@
253 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
254 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
255 SET_MAKE = @SET_MAKE@
256 SHELL = @SHELL@
257 STRIP = @STRIP@
258 USE_NLS = @USE_NLS@
259 VERSION = @VERSION@
260 XGETTEXT = @XGETTEXT@
261 abs_builddir = @abs_builddir@
262 abs_srcdir = @abs_srcdir@
263 abs_top_builddir = @abs_top_builddir@
264 abs_top_srcdir = @abs_top_srcdir@
265 ac_ct_CC = @ac_ct_CC@
266 am__include = @am__include@
267 am__leading_dot = @am__leading_dot@
268 am__quote = @am__quote@
269 am__tar = @am__tar@
270 am__untar = @am__untar@
271 bindir = @bindir@
272 build_alias = @build_alias@
273 builddir = @builddir@
274 datadir = @datadir@
275 datarootdir = @datarootdir@
276 docdir = @docdir@
277 dvidir = @dvidir@
278 exec_prefix = @exec_prefix@
279 host_alias = @host_alias@
280 htmldir = @htmldir@
281 includedir = @includedir@
282 infodir = @infodir@
283 install_sh = @install_sh@
284 intltool__v_merge_options_ = @intltool__v_merge_options_@
285 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
286 libdir = @libdir@
287 libexecdir = @libexecdir@
288 localedir = @localedir@
289 localstatedir = @localstatedir@
290 mandir = @mandir@
291 mkdir_p = @mkdir_p@
292 oldincludedir = @oldincludedir@
293 pdfdir = @pdfdir@
294 prefix = @prefix@
295 program_transform_name = @program_transform_name@
296 psdir = @psdir@
297 sbindir = @sbindir@
298 sharedstatedir = @sharedstatedir@
299 srcdir = @srcdir@
300 sysconfdir = @sysconfdir@
301 target_alias = @target_alias@
302 top_build_prefix = @top_build_prefix@
303 top_builddir = @top_builddir@
304 top_srcdir = @top_srcdir@
305 NULL =
306 SUBDIRS = \
307 po \
308 layout \
309 desktop-directories \
310 $(NULL)
311
312 EXTRA_DIST = \
313 $(NULL)
314
315 all: all-recursive
316
317 .SUFFIXES:
318 am--refresh: Makefile
319 @:
320 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
321 @for dep in $?; do \
322 case '$(am__configure_deps)' in \
323 *$$dep*) \
324 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
325 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
326 && exit 0; \
327 exit 1;; \
328 esac; \
329 done; \
330 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
331 $(am__cd) $(top_srcdir) && \
332 $(AUTOMAKE) --foreign Makefile
333 .PRECIOUS: Makefile
334 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
335 @case '$?' in \
336 *config.status*) \
337 echo ' $(SHELL) ./config.status'; \
338 $(SHELL) ./config.status;; \
339 *) \
340 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
341 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
342 esac;
343
344 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
345 $(SHELL) ./config.status --recheck
346
347 $(top_srcdir)/configure: $(am__configure_deps)
348 $(am__cd) $(srcdir) && $(AUTOCONF)
349 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
350 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
351 $(am__aclocal_m4_deps):
352
353 # This directory's subdirectories are mostly independent; you can cd
354 # into them and run 'make' without going through this Makefile.
355 # To change the values of 'make' variables: instead of editing Makefiles,
356 # (1) if the variable is set in 'config.status', edit 'config.status'
357 # (which will cause the Makefiles to be regenerated when you run 'make');
358 # (2) otherwise, pass the desired values on the 'make' command line.
359 $(am__recursive_targets):
360 @fail=; \
361 if $(am__make_keepgoing); then \
362 failcom='fail=yes'; \
363 else \
364 failcom='exit 1'; \
365 fi; \
366 dot_seen=no; \
367 target=`echo $@ | sed s/-recursive//`; \
368 case "$@" in \
369 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
370 *) list='$(SUBDIRS)' ;; \
371 esac; \
372 for subdir in $$list; do \
373 echo "Making $$target in $$subdir"; \
374 if test "$$subdir" = "."; then \
375 dot_seen=yes; \
376 local_target="$$target-am"; \
377 else \
378 local_target="$$target"; \
379 fi; \
380 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
381 || eval $$failcom; \
382 done; \
383 if test "$$dot_seen" = "no"; then \
384 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
385 fi; test -z "$$fail"
386
387 ID: $(am__tagged_files)
388 $(am__define_uniq_tagged_files); mkid -fID $$unique
389 tags: tags-recursive
390 TAGS: tags
391
392 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
393 set x; \
394 here=`pwd`; \
395 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
396 include_option=--etags-include; \
397 empty_fix=.; \
398 else \
399 include_option=--include; \
400 empty_fix=; \
401 fi; \
402 list='$(SUBDIRS)'; for subdir in $$list; do \
403 if test "$$subdir" = .; then :; else \
404 test ! -f $$subdir/TAGS || \
405 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
406 fi; \
407 done; \
408 $(am__define_uniq_tagged_files); \
409 shift; \
410 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
411 test -n "$$unique" || unique=$$empty_fix; \
412 if test $$# -gt 0; then \
413 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
414 "$$@" $$unique; \
415 else \
416 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
417 $$unique; \
418 fi; \
419 fi
420 ctags: ctags-recursive
421
422 CTAGS: ctags
423 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
424 $(am__define_uniq_tagged_files); \
425 test -z "$(CTAGS_ARGS)$$unique" \
426 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
427 $$unique
428
429 GTAGS:
430 here=`$(am__cd) $(top_builddir) && pwd` \
431 && $(am__cd) $(top_srcdir) \
432 && gtags -i $(GTAGS_ARGS) "$$here"
433 cscope: cscope.files
434 test ! -s cscope.files \
435 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
436 clean-cscope:
437 -rm -f cscope.files
438 cscope.files: clean-cscope cscopelist
439 cscopelist: cscopelist-recursive
440
441 cscopelist-am: $(am__tagged_files)
442 list='$(am__tagged_files)'; \
443 case "$(srcdir)" in \
444 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
445 *) sdir=$(subdir)/$(srcdir) ;; \
446 esac; \
447 for i in $$list; do \
448 if test -f "$$i"; then \
449 echo "$(subdir)/$$i"; \
450 else \
451 echo "$$sdir/$$i"; \
452 fi; \
453 done >> $(top_builddir)/cscope.files
454
455 distclean-tags:
456 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
457 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
458
459 distdir: $(DISTFILES)
460 $(am__remove_distdir)
461 test -d "$(distdir)" || mkdir "$(distdir)"
462 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
463 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
464 list='$(DISTFILES)'; \
465 dist_files=`for file in $$list; do echo $$file; done | \
466 sed -e "s|^$$srcdirstrip/||;t" \
467 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
468 case $$dist_files in \
469 */*) $(MKDIR_P) `echo "$$dist_files" | \
470 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
471 sort -u` ;; \
472 esac; \
473 for file in $$dist_files; do \
474 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
475 if test -d $$d/$$file; then \
476 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
477 if test -d "$(distdir)/$$file"; then \
478 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
479 fi; \
480 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
481 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
482 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
483 fi; \
484 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
485 else \
486 test -f "$(distdir)/$$file" \
487 || cp -p $$d/$$file "$(distdir)/$$file" \
488 || exit 1; \
489 fi; \
490 done
491 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
492 if test "$$subdir" = .; then :; else \
493 $(am__make_dryrun) \
494 || test -d "$(distdir)/$$subdir" \
495 || $(MKDIR_P) "$(distdir)/$$subdir" \
496 || exit 1; \
497 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
498 $(am__relativize); \
499 new_distdir=$$reldir; \
500 dir1=$$subdir; dir2="$(top_distdir)"; \
501 $(am__relativize); \
502 new_top_distdir=$$reldir; \
503 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
504 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
505 ($(am__cd) $$subdir && \
506 $(MAKE) $(AM_MAKEFLAGS) \
507 top_distdir="$$new_top_distdir" \
508 distdir="$$new_distdir" \
509 am__remove_distdir=: \
510 am__skip_length_check=: \
511 am__skip_mode_fix=: \
512 distdir) \
513 || exit 1; \
514 fi; \
515 done
516 -test -n "$(am__skip_mode_fix)" \
517 || find "$(distdir)" -type d ! -perm -755 \
518 -exec chmod u+rwx,go+rx {} \; -o \
519 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
520 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
521 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
522 || chmod -R a+r "$(distdir)"
523 dist-gzip: distdir
524 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
525 $(am__post_remove_distdir)
526
527 dist-bzip2: distdir
528 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
529 $(am__post_remove_distdir)
530
531 dist-lzip: distdir
532 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
533 $(am__post_remove_distdir)
534 dist-xz: distdir
535 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
536 $(am__post_remove_distdir)
537
538 dist-tarZ: distdir
539 @echo WARNING: "Support for shar distribution archives is" \
540 "deprecated." >&2
541 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
542 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
543 $(am__post_remove_distdir)
544
545 dist-shar: distdir
546 @echo WARNING: "Support for distribution archives compressed with" \
547 "legacy program 'compress' is deprecated." >&2
548 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
549 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
550 $(am__post_remove_distdir)
551
552 dist-zip: distdir
553 -rm -f $(distdir).zip
554 zip -rq $(distdir).zip $(distdir)
555 $(am__post_remove_distdir)
556
557 dist dist-all:
558 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
559 $(am__post_remove_distdir)
560
561 # This target untars the dist file and tries a VPATH configuration. Then
562 # it guarantees that the distribution is self-contained by making another
563 # tarfile.
564 distcheck: dist
565 case '$(DIST_ARCHIVES)' in \
566 *.tar.gz*) \
567 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
568 *.tar.bz2*) \
569 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
570 *.tar.lz*) \
571 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
572 *.tar.xz*) \
573 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
574 *.tar.Z*) \
575 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
576 *.shar.gz*) \
577 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
578 *.zip*) \
579 unzip $(distdir).zip ;;\
580 esac
581 chmod -R a-w $(distdir)
582 chmod u+w $(distdir)
583 mkdir $(distdir)/_build $(distdir)/_inst
584 chmod a-w $(distdir)
585 test -d $(distdir)/_build || exit 0; \
586 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
587 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
588 && am__cwd=`pwd` \
589 && $(am__cd) $(distdir)/_build \
590 && ../configure \
591 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
592 $(DISTCHECK_CONFIGURE_FLAGS) \
593 --srcdir=.. --prefix="$$dc_install_base" \
594 && $(MAKE) $(AM_MAKEFLAGS) \
595 && $(MAKE) $(AM_MAKEFLAGS) dvi \
596 && $(MAKE) $(AM_MAKEFLAGS) check \
597 && $(MAKE) $(AM_MAKEFLAGS) install \
598 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
599 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
600 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
601 distuninstallcheck \
602 && chmod -R a-w "$$dc_install_base" \
603 && ({ \
604 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
605 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
606 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
607 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
608 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
609 } || { rm -rf "$$dc_destdir"; exit 1; }) \
610 && rm -rf "$$dc_destdir" \
611 && $(MAKE) $(AM_MAKEFLAGS) dist \
612 && rm -rf $(DIST_ARCHIVES) \
613 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
614 && cd "$$am__cwd" \
615 || exit 1
616 $(am__post_remove_distdir)
617 @(echo "$(distdir) archives ready for distribution: "; \
618 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
619 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
620 distuninstallcheck:
621 @test -n '$(distuninstallcheck_dir)' || { \
622 echo 'ERROR: trying to run $@ with an empty' \
623 '$$(distuninstallcheck_dir)' >&2; \
624 exit 1; \
625 }; \
626 $(am__cd) '$(distuninstallcheck_dir)' || { \
627 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
628 exit 1; \
629 }; \
630 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
631 || { echo "ERROR: files left after uninstall:" ; \
632 if test -n "$(DESTDIR)"; then \
633 echo " (check DESTDIR support)"; \
634 fi ; \
635 $(distuninstallcheck_listfiles) ; \
636 exit 1; } >&2
637 distcleancheck: distclean
638 @if test '$(srcdir)' = . ; then \
639 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
640 exit 1 ; \
641 fi
642 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
643 || { echo "ERROR: files left in build directory after distclean:" ; \
644 $(distcleancheck_listfiles) ; \
645 exit 1; } >&2
646 check-am: all-am
647 check: check-recursive
648 all-am: Makefile
649 installdirs: installdirs-recursive
650 installdirs-am:
651 install: install-recursive
652 install-exec: install-exec-recursive
653 install-data: install-data-recursive
654 uninstall: uninstall-recursive
655
656 install-am: all-am
657 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
658
659 installcheck: installcheck-recursive
660 install-strip:
661 if test -z '$(STRIP)'; then \
662 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
663 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
664 install; \
665 else \
666 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
667 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
668 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
669 fi
670 mostlyclean-generic:
671
672 clean-generic:
673
674 distclean-generic:
675 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
676 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
677
678 maintainer-clean-generic:
679 @echo "This command is intended for maintainers to use"
680 @echo "it deletes files that may require special tools to rebuild."
681 clean: clean-recursive
682
683 clean-am: clean-generic mostlyclean-am
684
685 distclean: distclean-recursive
686 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
687 -rm -f Makefile
688 distclean-am: clean-am distclean-generic distclean-tags
689
690 dvi: dvi-recursive
691
692 dvi-am:
693
694 html: html-recursive
695
696 html-am:
697
698 info: info-recursive
699
700 info-am:
701
702 install-data-am:
703
704 install-dvi: install-dvi-recursive
705
706 install-dvi-am:
707
708 install-exec-am:
709
710 install-html: install-html-recursive
711
712 install-html-am:
713
714 install-info: install-info-recursive
715
716 install-info-am:
717
718 install-man:
719
720 install-pdf: install-pdf-recursive
721
722 install-pdf-am:
723
724 install-ps: install-ps-recursive
725
726 install-ps-am:
727
728 installcheck-am:
729
730 maintainer-clean: maintainer-clean-recursive
731 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
732 -rm -rf $(top_srcdir)/autom4te.cache
733 -rm -f Makefile
734 maintainer-clean-am: distclean-am maintainer-clean-generic
735
736 mostlyclean: mostlyclean-recursive
737
738 mostlyclean-am: mostlyclean-generic
739
740 pdf: pdf-recursive
741
742 pdf-am:
743
744 ps: ps-recursive
745
746 ps-am:
747
748 uninstall-am:
749
750 .MAKE: $(am__recursive_targets) install-am install-strip
751
752 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
753 am--refresh check check-am clean clean-cscope clean-generic \
754 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
755 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
756 distcheck distclean distclean-generic distclean-tags \
757 distcleancheck distdir distuninstallcheck dvi dvi-am html \
758 html-am info info-am install install-am install-data \
759 install-data-am install-dvi install-dvi-am install-exec \
760 install-exec-am install-html install-html-am install-info \
761 install-info-am install-man install-pdf install-pdf-am \
762 install-ps install-ps-am install-strip installcheck \
763 installcheck-am installdirs installdirs-am maintainer-clean \
764 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
765 pdf-am ps ps-am tags tags-am uninstall uninstall-am
766
767
768 # Tell versions [3.59,3.63) of GNU make to not export all variables.
769 # Otherwise a system limit (for SysV at least) may be exceeded.
770 .NOEXPORT: